package org.example;

import java.util.ArrayList;
import java.util.List;

public class ChargeVerifier {
    private static final ArrayList<Integer> VALID_CHARGES = new ArrayList<>(List.of(5658845, 4520125, 7895122, 8777541, 8451277, 1302850, 8080152, 4562555, 5552012, 5050552, 7825877, 1250255, 1005231, 6545231, 3852085, 7576651, 7881200, 4581002));

    public static boolean isValidCharge1(int accountNumber) {
        return VALID_CHARGES.contains(accountNumber);
    }

    public static boolean isValidCharge2(int accountNumber) {
        for (int chargeNum : VALID_CHARGES) {
            if (accountNumber == chargeNum) {
                return true;
            }
        }
        return false;
    }

    public static boolean isValidCharge3(int accountNumber) {
        return VALID_CHARGES.stream().anyMatch(i -> accountNumber == i);
    }
}
